class { "puppet_server":
  java_args => { "-xmx" => "512m", "-xms" => "512m" }
}

class { "puppet_server::puppetdb":
  server_urls => [ 'http://localhost:8080' ]
}

class { '::postgresql::globals':
  manage_package_repo => true,
  version             => '9.4',
}

# get the pg server up and running
class { '::postgresql::server':
  ip_mask_allow_all_users => '0.0.0.0/0',
  listen_addresses        => '*',
}

# create the puppetdb database
postgresql::server::db { 'puppetdb':
  user     => 'puppetdb',
  password => 'puppetdb',
  grant    => 'all',
}
