class puppet_server (
  $version = 'present',
  $java_args = $puppet_server::params::java_args,
) inherits puppet_server::params {
  package { 'puppetserver':
    ensure => $version,
    before => Service['puppetserver'],
  }

  /*
  puppet config set certname $(hostname -f) --section main
  puppet config set server $(hostname -f) --section main
  puppet cert generate $(hostname -f) --dns_alt_names $(hostname -s),$(hostname -f) --ca_name "Puppet CA generated on $(hostname -f) at $(date '+%Y-%m-%d %H:%M:%S %z')"
  */


  if !empty($java_args) {
    $puppetserver_initconf = "${puppet_server::params::defaults_dir}/puppetserver"
    create_resources(
      'ini_subsetting',
      create_java_args_subsettings_hash(
        'puppetserver',
        $java_args,
        { path => $puppetserver_initconf,
          require => Package['puppetserver'],
          notify => Service['puppetserver'],
        })
    )
  }

  service { 'puppetserver':
    ensure => running,
    enable => true,
  }
}
