class puppet_server::params {
  $defaults_dir = $::osfamily ? {
    'Debian'          => '/etc/default',
    /RedHat|Suse/ => '/etc/sysconfig',
    default   => undef,
  }

  $memorysize_in_mb = to_bytes($::memorysize) / (1024*1024)
  if $memorysize_in_mb <= 1024 {
    $puppetserver_memory = '512m'
  } elsif $memorysize_in_mb <= 2048 {
    $puppetserver_memory = '1024m'
  } else {
    $puppetserver_memory = '2048m'
  }

  $java_args = {
    'Xmx' => $puppetserver_memory,
    'Xms' => $puppetserver_memory,
  }

}
